UsrMove feature breaking "yum upgrade" upgrades from older releases to F17?

Ralf Corsepius rc040203 at
Fri Jan 27 17:18:45 UTC 2012

On 01/27/2012 06:05 PM, Bill Nottingham wrote:
> Toshio Kuratomi (a.badger at said:
>> Actually... we will "always" need the compat symlinks (for a finite but
>> definitely long value of "always").  Third party scripts, scripts that have
>> been in use on local systems, written by people who have long since passed
>> on (to new jobs), people targetting FHS compliant systems (unless the FHS
>> changes), etc will all depend on those symlinks being present.  Even third
>> party software that users want to compile and run may try to install into
>> /bin, /sbin, and /lib so we may have that problem even there.
> And things like /bin/sh are compiled into glibc...

And hard coded into 1000s of scripts and packages.

I seriously think, Fedora has many urgent problems to address than the 
churn this "Feature" causes.

More information about the devel mailing list